#include "GameTimer.h"

GameTimer::GameTimer(void)
{
	ResetElapsedValue();
}

GameTimer::~GameTimer(void)
{
}

void GameTimer::SetDelayValue(int _delay)
{
	delay = _delay;
	ResetElapsedValue();
}

void GameTimer::ResetElapsedValue()
{
	elapsed = 0;
}

void GameTimer::Update(float dt)
{
	elapsed += (int)(dt * 10);
}

bool GameTimer::CheckDelay()
{
	return (delay < elapsed);
}